v.extrude(1)

NAME
v.extrude - Extrudes flat vector object to 3D with defined height

KEYWORDS
vector

SYNOPSIS
v.extrude
v.extrude help
v.extrude [-t] input=string output=string [zshift=float] [elevation=string] [height=float] [hcolumn=string] [type=string[,string,...]] [layer=integer] [--overwrite]

  Flags:

-t  Trace elevation

--overwrite

  Parameters:

input=string
    Name of input 2D vector map

output=string
    Name of resulting 3D vector map

zshift=float
    Shifting value for z coordinates Default: 0

elevation=string
    Elevation raster for height extraction

height=float
    Fixed height for 3D vector objects

hcolumn=string
    Column of attribute table with object heights

type=string[,string,...]
    Type Options: line,boundary,area,face Default: line,boundary,area,face

layer=integer
    Layer number Default: 1

DESCRIPTION
v.extrude makes 3D blocks or just walls from 2D polygons or lines.

  Selected Flags and Parameters

-t  If defined, roof and walls will follow ("trace") the elevation by using individual elevation values for the vertices and nodes at bottom. This should be useful for models of large objects (forest stands).

zshift
    Vertical shift of vector data on top of values extracted from elevation model/defined fixed height.

elevation

Raster elevation map to put on the vector 3D objects.

height

Global height of vector 3D objects. If not specified, the module
    expects the hcolumn parameter.

hcolumn

Column from attribute table, in which the attribute of object
    height is stored (must be of int, double, or varchar type).

EXAMPLES

  3D houses with fixed height
v.extrude input=houses output=houses3D height=5

  3D houses with individual height
v.extrude -t input=houses output=houses3D elevation=dem hcolumn=height

AUTHOR
Jachym Cepicky, jachym.cepicky _at_ centrum _dot_ cz, http://les-ejk.cz
Department of Geoinformation Technologies, http://mapserver.mendelu.cz

Last changed: $Date: 2006/01/02 14:44:51 $

Full index